import { API, Service, Logger, AccessoryConfig, CharacteristicSetCallback, CharacteristicValue, CharacteristicGetCallback } from "homebridge";
import Pinger from "./pinger";
import { NetworkDeviceConfig } from "./config";
declare enum NetworkDeviceStatus {
    Online = "Online",
    Offline = "Offline",
    WakingUp = "WakingUp",
    ShuttingDown = "ShuttingDown"
}
/** NetworkDevice accessory, holds Switch service */
export default class NetworkDevice {
    private api;
    private log;
    private switchService;
    private informationService;
    config: NetworkDeviceConfig;
    status: NetworkDeviceStatus;
    pinger: Pinger | null;
    constructor(upstreamLog: Logger, config: AccessoryConfig, api: API);
    setStatus(newStatus: NetworkDeviceStatus): void;
    stateChanged(isOnline: boolean): void;
    setOnline(newState: CharacteristicValue, callback: CharacteristicSetCallback): Promise<void>;
    getOnline(callback: CharacteristicGetCallback): void;
    wake(): Promise<void>;
    shutdown(): Promise<void>;
    getServices(): Service[];
}
export {};
//# sourceMappingURL=network-device.d.ts.map