/// <reference types="node" />
import { EventEmitter } from "events";
import { Logger } from "homebridge";
import { NetworkDeviceConfig } from "./config";
export default class Pinger extends EventEmitter {
    private log;
    private timer;
    private history;
    config: NetworkDeviceConfig;
    constructor(upstreamLog: Logger, config: NetworkDeviceConfig);
    /** Returns whether or not the target is considered alive. */
    executePingCommand(): Promise<boolean>;
    /** Ping once. Returns whether or not the target is considered alive. */
    ping(): Promise<boolean>;
    /**
     * Poll the state of the target once.
     * @param immediate Whether or not to return the current state. Uses a buffer otherwise.
     */
    pollState(immediate?: boolean): Promise<void>;
    /** Start polling the target's state. */
    start(): Promise<void>;
    /** Stop polling the target's state. */
    stop(): void;
}
//# sourceMappingURL=pinger.d.ts.map