/// <reference types="node" />
import { exec as execSync } from "child_process";
import { WakeOptions } from "wake_on_lan";
/** An async version of Node's {@link exec}. */
export declare const exec: typeof execSync.__promisify__;
/**
 * Send WoL magic packets.
 * @param macAddress The MAC address of the target.
 * @param options Options to use.
 */
export declare function wake(macAddress: string, options: WakeOptions): Promise<void>;
/**
 * Wait for the specified number of milliseconds.
 * @param milliseconds The number of milliseconds to wait.
 */
export declare function wait(milliseconds: number): Promise<void>;
//# sourceMappingURL=utilities.d.ts.map