"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.wait = exports.wake = exports.exec = void 0;
const util_1 = require("util");
const child_process_1 = require("child_process");
const wake_on_lan_1 = __importDefault(require("wake_on_lan"));
/** An async version of Node's {@link exec}. */
exports.exec = (0, util_1.promisify)(child_process_1.exec);
/**
 * Send WoL magic packets.
 * @param macAddress The MAC address of the target.
 * @param options Options to use.
 */
function wake(macAddress, options) {
    return new Promise((resolve, reject) => {
        wake_on_lan_1.default.wake(macAddress, options, (error) => {
            if (error)
                return reject(error);
            resolve();
        });
    });
}
exports.wake = wake;
/**
 * Wait for the specified number of milliseconds.
 * @param milliseconds The number of milliseconds to wait.
 */
function wait(milliseconds) {
    return new Promise((resolve) => {
        setTimeout(resolve, milliseconds);
    });
}
exports.wait = wait;
//# sourceMappingURL=utilities.js.map